ArcoLinux -D -B 18.12 has been released - 20 iso's

[CLOSED] libc++ can not be updated

Beginners' subforum for general ArcoLinux issues. Please consult the excellent Arch wiki and web before posting.
Post Reply
User avatar
Irish Dream
Crewman
Posts: 22
Joined: Sat May 26, 2018 11:52 am
Ireland
[CLOSED] libc++ can not be updated

Post by Irish Dream » Tue Dec 04, 2018 7:41 am

Hello dear ArcoLinux network community

Update stops because of:
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: Installation vonlibc++ (7.0.0-1) verletzt Abhängigkeit 'libc++=6.0.1-1', benötigt von libc++experimental
https://asciinema.org/a/JocvjEqRBIujJwC8WqRGxXhRS

I would be grateful for any help
An United Ireland - Gaelic and Free

User avatar
erikdubois
Captain
Posts: 1429
Joined: Tue Nov 07, 2017 2:45 pm
Location: Belgium
Contact:
Belgium
Re: [CLOSED] libc++ can not be updated

Post by erikdubois » Tue Dec 04, 2018 8:01 am

Both 7.0 are on the repo these days.

Code: Select all

sudo pacman -S libc++ libc++abi
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.

User avatar
Irish Dream
Crewman
Posts: 22
Joined: Sat May 26, 2018 11:52 am
Ireland
Re: [CLOSED] libc++ can not be updated

Post by Irish Dream » Tue Dec 04, 2018 8:10 am

Dear Erik

Code: Select all

sudo pacman -S libc++ libc++abi
gives the same error



https://asciinema.org/a/I6EsGpV0csUpjYyEHab2KHoPk
An United Ireland - Gaelic and Free

User avatar
Irish Dream
Crewman
Posts: 22
Joined: Sat May 26, 2018 11:52 am
Ireland
Re: [CLOSED] libc++ can not be updated

Post by Irish Dream » Tue Dec 04, 2018 8:22 am

Problem solved

I first had to delete libc++experimental

and then I could do the update.

Thx for helping
An United Ireland - Gaelic and Free

User avatar
erikdubois
Captain
Posts: 1429
Joined: Tue Nov 07, 2017 2:45 pm
Location: Belgium
Contact:
Belgium
Re: [CLOSED] libc++ can not be updated

Post by erikdubois » Tue Dec 04, 2018 8:53 am

You do not need that one - for discord anyway.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
and only then use the power of our moderators.


Post Reply

Return to “General”